DtSaverGetWindows(library call)

NAME
DtSaverGetWindows — get the list of windows for drawing by a screen saver application

SYNOPSIS

#include &<Dt/Saver.h>
Boolean DtSaverGetWindows(
Display *display,
Window **window,
int *count);

DESCRIPTION

The DtSaverGetWindows function returns a list of windows on which a screen saver application should draw when invoked by XCDE.

The display argument is the X display. The window argument is the address of a pointer to receive the pointer to a list of windows. The count argument is the address of an integer to receive the number of elements in the list of windows returned in window.

RETURN VALUE

Upon successful completion, the DtSaverGetWindows function returns True; otherwise, it returns False.

APPLICATION USAGE

If the DtSaverGetWindows function is not successful, failure may be due to a memory allocation error or that the screen saver application was not invoked from XCDE.

The application must use XtFree(3) to free data returned in *window.

SEE ALSO

Dt/Saver.h - DtSaver(5); XtFree(3).